DeploymentUnit (Java Card SPI, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javacard.spi.cardmgmt
Interface DeploymentUnit

All Known Subinterfaces:
  ApplicationGroup, Library

    public interface DeploymentUnit

DeploymentUnit is the common interface of all entities that can be deployed and installed on the Java Card platform.

DeploymentUnit objects are permanent Java Card runtime environment Entry Point Objects.

Some operations on deployment units are subject to permission checks.

Since:
  Java Card 3.0
See Also:
  `ApplicationGroup`, `Library`, `CardManagementPermission`, `JCREPermission`

Field Summary
`static byte` | `APP_TYPE` Application type start index.
`static byte` | `LIB_TYPE` Library type start index.

Method Summary
`byte` | `getType()` Returns the type of this deployment unit.
`boolean` | `unload(boolean forced)` Attempts to unload this deployment unit.

Field Detail

### LIB_TYPE

    static final byte LIB_TYPE

  Library type start index.

  See Also:
    Constant Field Values

### APP_TYPE

    static final byte APP_TYPE

  Application type start index.

  See Also:
    Constant Field Values

Method Detail

### getType

    byte getType()

  Returns the type of this deployment unit.

  Returns:
    the type of this deployment unit.

### unload

    boolean unload(boolean forced)

  Attempts to unload this deployment unit. If classes from this deployment unit are still being referenced by other deployment unit the unload must be denied.

  Parameters:
    `forced` - whether the unload must be forced
  Returns:
    true if the unload succeeded, false otherwise.
  Throws:
    `SecurityException` - if unloading a deployment unit is not granted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.